package cz.moneta.test.dsl.ufo.banka.pages.products.sme;

import cz.moneta.test.dsl.ufo.banka.pages.cards.debit.MBC010_S001_MbcSummaryPage;
import cz.moneta.test.dsl.ufo.banka.pages.cards.debit.OBR003_S001_ClientContractSignPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.OBR001_S001_PrintInstructionPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.TIS004_S002_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.TIS046_S001_DocumentsProvidedToClientPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.TIS050_S001_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.TIS050_S002_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.BAL021_S002_SummaryOfProductFoundationPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.BAL035_S002_SummaryOfProductFoundationRetailPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.PSP004_S001_PrintPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.client.settings.VDB001_S001_SecondBankerJoiningPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.current.account.BPP001_S001_DocumentationSendPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface CHK001_S001_WaitingForModulationTransitionsPage extends WebFlow<CHK001_S001_WaitingForModulationTransitionsPage> {

    KUL008_S001_ModulationPage onModulationPage();

    OBR003_S001_ClientContractSignPage onClientContractSignPage();

    PSP004_S001_PrintPage onPrintPage();

    MBC010_S001_MbcSummaryPage onMbcSummaryPage();

    OBR001_S001_PrintInstructionPage onEmailSentToClientPage();

    TIS004_S002_SignerSelectionPage onSignerSelectionPage();

    TIS050_S002_SignerSelectionPage onSignerSelectionPageTIS050();

    TIS050_S001_SignerSelectionPage onSignerSelectionPageTIS050_S001();

    SMA009_S001_BankerRepresentationForVerification onBankerRepresentaionForVerification();

    BPP003_S001_SendingDocumentsToIBSB onSendingDocumentsToIBSB();

    SMA002_S001_SMEAutomatsApplicationOverview onSMEAutomatsApplicationOverviewPage();

    BAL021_S002_SummaryOfProductFoundationPage onSummaryOfProductFoundationPage();

    VDB001_S001_SecondBankerJoiningPage onSecondBankerJoiningPage();

    BAL035_S002_SummaryOfProductFoundationRetailPage onSummaryOfProductFoundationRetailPage();

    TIS046_S001_DocumentsProvidedToClientPage onDocumentsProvidedPage();

    BPP001_S001_DocumentationSendPage onDocumentationPage();

}
